> ## Documentation Index
> Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates one or more duplicates of an existing item with specified duplication options.

> Creates one or more duplicates of an existing item with specified duplication options.



## OpenAPI

````yaml /openapi/2.1.json post /v2/items/{DuplicateItemId}/duplicate
openapi: 3.0.0
info:
  title: JTL-WAWI API (Cloud)
  description: "JTL-Wawi-Version: 2.2.0-alpha.9492+Sha.4c8d5d1\r\n# Introduction\r\n\r\nWelcome to the JTL-WAWI technical API documentation. This guide is here to help developers understand how our REST API works and how it can be integrated into your existing systems. We'll delve into the details of authentication and data manipulation processes, providing clear examples along the way. Whether you're a developer or an IT professional, this documentation aims to give you a practical understanding, laying the groundwork for effectively using the JTL-WAWI API to enhance your processes.\r\n\r\n# Authentication\r\n\r\nYou register your application with the API by sending a POST request with the required information and corresponding keys. You can find the exact request details at https://developer.jtl-software.com/products/erp/swagger/appregistration. This information has to include the following:\r\n\r\n* AppId\r\n* DisplayName\r\n* Description\r\n* Version\r\n* ProviderName\r\n* ProviderWebsite\r\n* MandatoryApiScopes\r\n\r\nThis data is crucial for identifying and registering your application with the API. The API uses it to generate a temporary authentication ID that allows your application to access the necessary resources. After successful validation of this information, you will receive the API key required for future authentication and API requests.\r\n\r\nBefore you can begin the registration process, you must open JTL-Wawi (new interface) and start the registration process under 'Admin->App registration'. Only at this point are you authorised to send the first API call. This step in JTL-Wawi ensures that your application is properly registered and has permission to use the API.\r\n\r\nThe API will send you an authentication ID in the form of a token. Once you have received this token and successfully completed the registration in JTL-Wawi, you will send another request to the API by including this authentication ID in the URL path.\r\n\r\nAfter successful validation of this second request by the API and confirmation of the correct information, you will be provided with the actual API key. It is important to note that this API key will not be displayed again!\r\n\r\nThis API key will be used in the future to authenticate requests to the API. It is of utmost importance that you securely store the API key upon receipt, as it cannot be retrieved from any other location in the system."
  contact:
    name: JTL-Software-GmbH
    url: https://developer.jtl-software.com/
    email: partner@jtl-software.com
  version: '2.1'
  x-application-version: 2.2.0.0
servers:
  - url: https://api.jtl-cloud.com/erp
    description: Production Environment Cloud API Gateway
security: []
tags:
  - name: WMS
    description: >-
      <p data-section-id='tag/WMS' class='stable_summary'></p>Query all pick
      lists for a specific wms warehouse that are not completed.
  - name: Wawi App
    description: >-
      <p data-section-id='tag/Wawi App' class='stable_summary'></p>Get a
      specific customer
  - name: Warehouses
    description: >-
      <p data-section-id='tag/Warehouses' class='stable_summary'></p>Queries all
      storage locations for a given warehouse.
  - name: Units
    description: Development
  - name: Transaction Status
    description: >-
      <p data-section-id='tag/Transaction Status'
      class='stable_summary'></p>Queries all transaction statuses for a sales
      order.
  - name: Tax
    description: >-
      <p data-section-id='tag/Tax' class='stable_summary'></p>Returns the tax
      rate for the given item.
  - name: Inventory
    description: >-
      <p data-section-id='tag/Inventory' class='stable_summary'></p>Queries
      stocks for a specific item, warehouse or storage location.
  - name: Sales Order
    description: Planned
  - name: Sales Invoice Correction
    description: Planned
  - name: Return
    description: >-
      <p data-section-id='tag/Return' class='beta_summary'></p>Create a new
      return with associated items and packages.
  - name: Item
    description: >-
      <p data-section-id='tag/Item' class='beta_summary'></p>Queries all
      responsible persons.
  - name: Refund
    description: Planned
  - name: Property
    description: >-
      <p data-section-id='tag/Property' class='stable_summary'></p>Queries all
      properties of items.
  - name: Printer
    description: >-
      <p data-section-id='tag/Printer' class='beta_summary'></p>Retrieves all
      installed printers.
  - name: Master Data
    description: >-
      <p data-section-id='tag/Master Data' class='stable_summary'></p>Queries
      all on hold reasons for sales orders.
  - name: Manufacturer
    description: Development
  - name: Label
    description: Development
  - name: Sales Invoice
    description: Planned
  - name: Info
    description: >-
      <p data-section-id='tag/Info' class='stable_summary'></p>Returns the
      status of the API.
  - name: Features
    description: >-
      <p data-section-id='tag/Features' class='stable_summary'></p>Returns the
      available feature sets with release state and API version.
  - name: Extensibility
    description: Planned
  - name: Shipment
    description: Development
  - name: Delivery Note
    description: Planned
  - name: Custom Field
    description: Development
  - name: Customer
    description: >-
      <p data-section-id='tag/Customer' class='stable_summary'></p>Deletes a
      specific customer.
  - name: Authentication
    description: >-
      <p data-section-id='tag/Authentication'
      class='deprecated_summary'></p>DEPRECATED seit Wawi 2.2.0: No-Op. Seit
      Wawi 2.1.0 registriert sich die Wawi selbst per JWT.
  - name: Attribute
    description: Development
  - name: Sales Quotation
    description: >-
      <p data-section-id='tag/Sales Quotation' class='beta_summary'></p>Execute
      the printing of a sales quotation
  - name: Production
  - name: Resources
  - name: Company
  - name: Sales Orders
  - name: Marketplace Seller
  - name: Seller
  - name: Marketplace Order
  - name: Marketplace Offer
  - name: Marketplace Invoicing
  - name: Sales Channel
  - name: Payment
  - name: Warehouse Assistant
  - name: Worker
paths:
  /v2/items/{DuplicateItemId}/duplicate:
    post:
      tags:
        - Item
      summary: >-
        Creates one or more duplicates of an existing item with specified
        duplication options.
      description: >-
        Creates one or more duplicates of an existing item with specified
        duplication options.
      operationId: DuplicateItem_DuplicateItems
      parameters:
        - name: DuplicateItemId
          x-originalName: duplicateItemId
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/JTL.Data.Contracts.Keys.ArtikelKey'
            example: b45f6432-2462-4c6f-b00f-1d9d01000000
          x-position: 2
        - name: x-companyid
          in: header
          description: >-
            The Company-Id (int or uuid) of the company on whose behalf the
            request is executed.
          schema:
            type: string
        - name: x-tenant-id
          in: header
          required: true
          schema:
            type: string
            format: uuid
          description: The tenant ID for the target ERP instance.
      requestBody:
        x-name: request
        description: Request parameters
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.DuplicateItemsCommandRequest
        required: true
        x-position: 1
      responses:
        '200':
          description: Items successfully duplicated
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.DuplicateItemsCommandResponse
        '400':
          description: ''
          content:
            application/json: {}
        '401':
          description: ''
          content:
            application/json: {}
        '403':
          description: ''
          content:
            application/json: {}
        '404':
          description: ''
          content:
            application/json: {}
        '500':
          description: ''
          content:
            application/json: {}
      security:
        - oauth2-authorization-code:
            - items.write
        - oauth2-client-credentials:
            - items.write
components:
  schemas:
    JTL.Data.Contracts.Keys.ArtikelKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.DuplicateItemsCommandRequest:
      type: object
      description: >-
        Creates one or more duplicates of an existing item with specified
        duplication options. - Request
      additionalProperties: false
      required:
        - DuplicatesToCreate
        - ExecuteItemCreatedWorkflowOnCreation
        - ItemDuplicationOptions
      properties:
        duplicatesToCreate:
          type: array
          description: >-
            The basic information (SKU and name) for the items to be created as
            duplicates.
          items:
            $ref: >-
              #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateItemDuplicate
        executeItemCreatedWorkflowOnCreation:
          type: boolean
          description: >-
            Indicates whether the item creation workflow should be executed
            after creating the duplicates.
        itemDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateItemDuplicationOptions
          description: >-
            Specifies which properties and aspects of the source item should be
            duplicated to the new items.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.DuplicateItemsCommandResponse:
      type: object
      description: >-
        Creates one or more duplicates of an existing item with specified
        duplication options. - Response
      additionalProperties: false
      required:
        - CreatedItems
      properties:
        createdItems:
          type: array
          description: >-
            The list of unique identifiers (ArtikelKeys) for all successfully
            created duplicate items.
          items:
            $ref: '#/components/schemas/JTL.Data.Contracts.Keys.ArtikelKey'
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateItemDuplicate:
      type: object
      description: >-
        Represents the basic information for a duplicated item including SKU and
        name.
      additionalProperties: false
      required:
        - Sku
        - Name
      properties:
        sku:
          type: string
          description: >-
            The stock keeping unit (SKU) for the duplicated item. Must be
            unique.
        name:
          type: string
          description: The name of the duplicated item.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateItemDuplicationOptions:
      type: object
      description: >-
        Defines which item properties should be duplicated when creating item
        copies. This structure controls the duplication behavior for all
        relevant item aspects.
      additionalProperties: false
      properties:
        oversalesDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateOversalesDuplicationOptions
          description: Options for duplicating over-sales settings.
        attributesDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateAttributesDuplicationOptions
          description: Options for duplicating item attributes.
        imagesDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateImagesDuplicationOptions
          description: Options for duplicating images.
        downloadFilesDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateDownloadFilesDuplicationOptions
          description: Options for duplicating download files.
        uploadFilesDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateUploadFilesDuplicationOptions
          description: Options for duplicating upload files.
        mediaFilesDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateMediaFilesDuplicationOptions
          description: Options for duplicating media files.
        characteristicsDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateCharacteristicsDuplicationOptions
          description: Options for duplicating item characteristics.
        bomDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateBomDuplicationOptions
          description: Options for duplicating bill of materials components.
        variationsDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateVariationsDuplicationOptions
          description: Options for duplicating variations.
        configurationsDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateConfigurationsDuplicationOptions
          description: Options for duplicating configurations.
        descriptionsDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateDescriptionsDuplicationOptions
          description: Options for duplicating descriptions.
        crossSellingDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateCrossSellingDuplicationOptions
          description: Options for duplicating cross-selling data.
        customFieldsDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateCustomFieldsDuplicationOptions
          description: Options for duplicating custom fields.
        purchasePricesDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreatePurchasePricesDuplicationOptions
          description: Options for duplicating purchase prices.
        identifiersDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateIdentifiersDuplicationOptions
          description: Options for duplicating identifiers.
        salesPricesDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateSalesPricesDuplicationOptions
          description: Options for duplicating sales prices.
        masterDataDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateMasterDataDuplicationOptions
          description: Options for duplicating master data.
        specialPricesDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateSpecialPricesDuplicationOptions
          description: Options for duplicating special prices.
        deliveryOptionsDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateDeliveryOptionsDuplicationOptions
          description: Options for duplicating delivery options.
        measurementssDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateMeasurementssDuplicationOptions
          description: Options for duplicating dimensions and weights.
        suppliersDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateSuppliersDuplicationOptions
          description: Options for duplicating supplier data.
        saleschannelDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateSaleschannelDuplicationOptions
          description: Options for duplicating saleschannel settings.
        scxDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateScxDuplicationOptions
          description: Options for duplicating SCX data.
        packagingDuplicationOptions:
          $ref: >-
            #/components/schemas/JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreatePackagingDuplicationOptions
          description: Options for duplicating packaging data.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateOversalesDuplicationOptions:
      type: object
      description: Options for duplicating over-sales settings.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether over-sales settings should be duplicated.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateAttributesDuplicationOptions:
      type: object
      description: Options for duplicating item attributes.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether item attributes should be duplicated.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateImagesDuplicationOptions:
      type: object
      description: Options for duplicating images.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether images should be duplicated.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateDownloadFilesDuplicationOptions:
      type: object
      description: Options for duplicating download files.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether download files should be duplicated.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateUploadFilesDuplicationOptions:
      type: object
      description: Options for duplicating upload files.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether upload files should be duplicated.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateMediaFilesDuplicationOptions:
      type: object
      description: Options for duplicating media files.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether media files should be duplicated.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateCharacteristicsDuplicationOptions:
      type: object
      description: Options for duplicating item characteristics.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether item characteristics should be duplicated.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateBomDuplicationOptions:
      type: object
      description: Options for duplicating bill of materials components.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether bill of materials components should be duplicated.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateVariationsDuplicationOptions:
      type: object
      description: Options for duplicating variations.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether variations should be duplicated.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateConfigurationsDuplicationOptions:
      type: object
      description: Options for duplicating configurations.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether configurations should be duplicated.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateDescriptionsDuplicationOptions:
      type: object
      description: Options for duplicating descriptions.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether descriptions should be duplicated.
        considerDescriptions:
          type: boolean
          description: >-
            Indicates whether the item description should be considered during
            duplication. When true, the full description text will be
            duplicated.
        considerMetadata:
          type: boolean
          description: >-
            Indicates whether the item metadata (such as meta description, meta
            keywords, and title tags) should be considered during duplication.
        considerUrlPaths:
          type: boolean
          description: >-
            Indicates whether the URL path should be considered during
            duplication. When true, the SEO-friendly URL path will be
            duplicated.
        considerNames:
          type: boolean
          description: >-
            Indicates whether the item name should be considered during
            duplication. When true, the item name from descriptions will be
            duplicated.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateCrossSellingDuplicationOptions:
      type: object
      description: Options for duplicating cross-selling data.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether cross-selling data should be duplicated.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateCustomFieldsDuplicationOptions:
      type: object
      description: Options for duplicating custom fields.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether custom fields should be duplicated.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreatePurchasePricesDuplicationOptions:
      type: object
      description: Options for duplicating purchase prices.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether purchase prices should be duplicated.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateIdentifiersDuplicationOptions:
      type: object
      description: Options for duplicating identifiers.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether identifiers should be duplicated.
        considerEan:
          type: boolean
          description: >-
            Indicates whether the EAN (European Article Number) should be
            considered during duplication.
        considerIsbn:
          type: boolean
          description: >-
            Indicates whether the ISBN (International Standard Book Number)
            should be considered during duplication.
        considerUpc:
          type: boolean
          description: >-
            Indicates whether the UPC (Universal Product Code) should be
            considered during duplication.
        considerHan:
          type: boolean
          description: >-
            Indicates whether the HAN (manufacturer number) should be considered
            during duplication.
        considerTaricCode:
          type: boolean
          description: >-
            Indicates whether the TARIC code should be considered during
            duplication.
        considerCountryCode:
          type: boolean
          description: >-
            Indicates whether the country of origin code should be considered
            during duplication.
        considerHazardNumber:
          type: boolean
          description: >-
            Indicates whether the hazard identification number should be
            considered during duplication.
        considerSeries:
          type: boolean
          description: >-
            Indicates whether the series information should be considered during
            duplication.
        considerUnNumber:
          type: boolean
          description: >-
            Indicates whether the UN number should be considered during
            duplication.
        considerAmazonFnsku:
          type: boolean
          description: >-
            Indicates whether the Amazon FNSKU should be considered during
            duplication.
        considerNotes:
          type: boolean
          description: >-
            Indicates whether item notes should be considered during
            duplication.
        considerSearchTerms:
          type: boolean
          description: >-
            Indicates whether search terms should be considered during
            duplication.
        considerIncludeInPriceList:
          type: boolean
          description: >-
            Indicates whether the include in price list flag should be
            considered during duplication.
        considerOrderSuggestions:
          type: boolean
          description: >-
            Indicates whether order suggestions should be considered during
            duplication.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateSalesPricesDuplicationOptions:
      type: object
      description: Options for duplicating sales prices.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether sales prices should be duplicated.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateMasterDataDuplicationOptions:
      type: object
      description: Options for duplicating master data.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether master data should be duplicated.
        considerManufacturer:
          type: boolean
          description: >-
            Indicates whether the manufacturer should be considered during
            duplication.
        considerProductGroup:
          type: boolean
          description: >-
            Indicates whether the product group should be considered during
            duplication.
        considerTaxClass:
          type: boolean
          description: >-
            Indicates whether the tax class should be considered during
            duplication.
        considerShippingClass:
          type: boolean
          description: >-
            Indicates whether the shipping class should be considered during
            duplication.
        considerBasePriceUnit:
          type: boolean
          description: >-
            Indicates whether the base price unit should be considered during
            duplication.
        considerMinimumPurchaseSettings:
          type: boolean
          description: >-
            Indicates whether minimum purchase settings should be considered
            during duplication.
        considerPackaging:
          type: boolean
          description: >-
            Indicates whether packaging information should be considered during
            duplication.
        considerNonDiscountable:
          type: boolean
          description: >-
            Indicates whether the non-discountable flag should be considered
            during duplication.
        considerItemType:
          type: boolean
          description: >-
            Indicates whether the item type should be considered during
            duplication.
        considerInventoryManagement:
          type: boolean
          description: >-
            Indicates whether inventory management settings should be considered
            during duplication.
        considerMinMaxInventory:
          type: boolean
          description: >-
            Indicates whether minimum and maximum inventory levels should be
            considered during duplication.
        considerProductCompliancePerson:
          type: boolean
          description: >-
            Indicates whether the product compliance responsible person should
            be considered during duplication.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateSpecialPricesDuplicationOptions:
      type: object
      description: Options for duplicating special prices.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether special prices should be duplicated.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateDeliveryOptionsDuplicationOptions:
      type: object
      description: Options for duplicating delivery options.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether delivery options should be duplicated.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateMeasurementssDuplicationOptions:
      type: object
      description: Options for duplicating dimensions and weights.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether dimensions and weights should be duplicated.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateSuppliersDuplicationOptions:
      type: object
      description: Options for duplicating supplier data.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether supplier data should be duplicated.
        keepItemNumber:
          type: boolean
          description: >-
            Indicates whether the supplier-specific item SKU (article number)
            should be kept during duplication. When true, the SKU used by the
            supplier will be duplicated.
        keepItemName:
          type: boolean
          description: >-
            Indicates whether the supplier-specific item name should be kept
            during duplication. When true, the item name used by the supplier
            will be duplicated.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateSaleschannelDuplicationOptions:
      type: object
      description: Options for duplicating saleschannel settings.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether saleschannel settings should be duplicated.
        considerHighlightOptions:
          type: boolean
          description: >-
            Indicates whether item highlight options should be considered during
            duplication. When true, special highlighting and promotional
            settings for sales channels will be duplicated.
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreateScxDuplicationOptions:
      type: object
      description: Options for duplicating SCX data.
      additionalProperties: false
      properties:
        isActive:
          type: boolean
          description: Indicates whether SCX data should be duplicated.
        considerCategoryMappings:
          type: boolean
          description: >-
            Indicates whether assigned categories should be considered during
            duplication. When true, category assignments for sales channels will
            be duplicated.
        considerSalesChannelFieldValues:
          type: boolean
          description: >-
            Indicates whether custom field values should be considered during
            duplication. When true, sales channel-specific custom field values
            will be duplicated.
        considerEveryShop:
          type: boolean
          description: >-
            Indicates whether all shops should be considered during duplication.
            When true, SCX data will be duplicated for all configured sales
            channels.
        shopsToConsider:
          type: array
          description: >-
            List of sales channel keys for which the SCX data should be
            duplicated. Only data for the specified sales channels will be
            copied to the new item.
          items:
            $ref: '#/components/schemas/JTL.Data.Contracts.Keys.ShopKey'
    JTL.Wawi.Item.PublicApi.DataTransferObjects.V2.DuplicateItem.CreatePackagingDuplicationOptions:
      type: object
      description: Options for copying item packaging settings.
      additionalProperties: false
      required:
        - IsActive
      properties:
        isActive:
          type: boolean
          description: Indicates whether packaging settings should be duplicated.
    JTL.Data.Contracts.Keys.ShopKey:
      type: string
      format: uuid
      example: b45f6432-2462-4c6f-b00f-1d9d01000000
      additionalProperties: false
  securitySchemes:
    oauth2-authorization-code:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://auth.jtl-cloud.com/oauth2/auth
          tokenUrl: https://auth.jtl-cloud.com/oauth2/token
          scopes:
            items.read: Grants permission to read item data.
            items.write: Grants permission to create and modify item data.
            saleschannels.read: Verkaufskanäle lesen
            all.read: Allows the application to read all data.
            customers.read: Grants permission to read customer data.
            customers.write: Grants permission to create and modify customer data.
            customfields.read: Grants permission to read custom fields.
            customfields.write: Grants permission to create and modify custom fields.
            deliveries.read: Grants permission to read deliveries.
            deliveries.write: Grants permission to create and modify deliveries.
            deliverynotes.print: Grants permission to print and output delivery notes.
            deliverynotes.read: Grants permission to read delivery notes.
            deliverynotes.write: Grants permission to create and modify delivery notes.
            extensibility.integration: >-
              Grants permission to manage extensions and integrations of the
              JTL-Wawi.
            inventories.read: Grants permission to read stock levels.
            inventories.write: Grants permission to modify stock levels.
            invoices.read: Grants permission to read invoices.
            invoices.write: Grants permission to create and modify invoices.
            labels.read: Grants permission to read labels.
            labels.write: Grants permission to create and modify labels.
            masterdata.read: >-
              Read master data such as shipping methods, payment methods, color
              codes and tax classes.
            orders.read: Grants permission to read orders.
            picklists.read: Grants permission to read pick lists.
            picklists.write: Grants permission to create and modify pick lists.
            returns.read: Grants permission to read returns.
            returns.write: Grants permission to create and modify returns.
            salesinvoicecorrections.read: Grants permission to read invoice corrections.
            salesinvoicecorrections.write: Grants permission to create and modify invoice corrections.
            salesorders.print: Grants permission to print and output sales orders.
            salesorders.read: Grants permission to read sales orders.
            salesorders.write: Grants permission to create and modify sales orders.
            system.config.read: Grants permission to read the system configuration.
            system.config.write: Grants permission to modify the system configuration.
            taxes.read: Grants permission to read tax data.
            warehouse.read: Grants permission to read warehouse data.
            wawiapp.all: Grants access to Wawi app related operations.
            currencies.read: Grants read access to currencies.
            jera.read: Grants read access to JERA internal endpoints.
            paymentmethods.read: Grants read access to payment methods.
            payments.read: Ermöglicht den Lesezugriff auf Zahlungen.
            payments.write: Ermöglicht den Schreibzugriff auf Zahlungen.
            salesinvoicecorrections.print: Grants permission to print and output invoice corrections.
            salesinvoices.print: Grants permission to print and output sales invoices.
            salesinvoices.read: Grants read access to sales invoices.
            salesinvoices.write: Grants write access to sales invoices.
            salesquotations.print: Grants permission to print and output sales quotations.
            salesquotations.read: Grants read access to sales quotations.
            salesquotations.write: Grants write access to sales quotations.
            suppliers.read: Grants permission to read suppliers.
            system.worker.read: Worker-Synchronisationen lesen
            system.worker.write: Worker-Synchronisationen schreiben
            resources.read: Grants permission to read resource management data.
            resources.write: Grants permission to create and modify resource management data.
            pps.read: Grants permission to read production data.
            pps.write: Grants permission to create and modify production data.
            inventory.write: Bestand schreiben
            masterdata.write: Write master data
            inventory.read: Grants permission to read stock levels.
            taxes.write: Grants permission to create and modify tax data.
            application.runas: >-
              Allows the application to execute requests on behalf of another
              user.
    oauth2-client-credentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://auth.jtl-cloud.com/oauth2/token
          scopes:
            items.read: Grants permission to read item data.
            items.write: Grants permission to create and modify item data.
            saleschannels.read: Verkaufskanäle lesen
            all.read: Allows the application to read all data.
            customers.read: Grants permission to read customer data.
            customers.write: Grants permission to create and modify customer data.
            customfields.read: Grants permission to read custom fields.
            customfields.write: Grants permission to create and modify custom fields.
            deliveries.read: Grants permission to read deliveries.
            deliveries.write: Grants permission to create and modify deliveries.
            deliverynotes.print: Grants permission to print and output delivery notes.
            deliverynotes.read: Grants permission to read delivery notes.
            deliverynotes.write: Grants permission to create and modify delivery notes.
            extensibility.integration: >-
              Grants permission to manage extensions and integrations of the
              JTL-Wawi.
            inventories.read: Grants permission to read stock levels.
            inventories.write: Grants permission to modify stock levels.
            invoices.read: Grants permission to read invoices.
            invoices.write: Grants permission to create and modify invoices.
            labels.read: Grants permission to read labels.
            labels.write: Grants permission to create and modify labels.
            masterdata.read: >-
              Read master data such as shipping methods, payment methods, color
              codes and tax classes.
            orders.read: Grants permission to read orders.
            picklists.read: Grants permission to read pick lists.
            picklists.write: Grants permission to create and modify pick lists.
            returns.read: Grants permission to read returns.
            returns.write: Grants permission to create and modify returns.
            salesinvoicecorrections.read: Grants permission to read invoice corrections.
            salesinvoicecorrections.write: Grants permission to create and modify invoice corrections.
            salesorders.print: Grants permission to print and output sales orders.
            salesorders.read: Grants permission to read sales orders.
            salesorders.write: Grants permission to create and modify sales orders.
            system.config.read: Grants permission to read the system configuration.
            system.config.write: Grants permission to modify the system configuration.
            taxes.read: Grants permission to read tax data.
            warehouse.read: Grants permission to read warehouse data.
            wawiapp.all: Grants access to Wawi app related operations.
            currencies.read: Grants read access to currencies.
            jera.read: Grants read access to JERA internal endpoints.
            paymentmethods.read: Grants read access to payment methods.
            payments.read: Ermöglicht den Lesezugriff auf Zahlungen.
            payments.write: Ermöglicht den Schreibzugriff auf Zahlungen.
            salesinvoicecorrections.print: Grants permission to print and output invoice corrections.
            salesinvoices.print: Grants permission to print and output sales invoices.
            salesinvoices.read: Grants read access to sales invoices.
            salesinvoices.write: Grants write access to sales invoices.
            salesquotations.print: Grants permission to print and output sales quotations.
            salesquotations.read: Grants read access to sales quotations.
            salesquotations.write: Grants write access to sales quotations.
            suppliers.read: Grants permission to read suppliers.
            system.worker.read: Worker-Synchronisationen lesen
            system.worker.write: Worker-Synchronisationen schreiben
            resources.read: Grants permission to read resource management data.
            resources.write: Grants permission to create and modify resource management data.
            pps.read: Grants permission to read production data.
            pps.write: Grants permission to create and modify production data.
            inventory.write: Bestand schreiben
            masterdata.write: Write master data
            inventory.read: Grants permission to read stock levels.
            taxes.write: Grants permission to create and modify tax data.
            application.runas: >-
              Allows the application to execute requests on behalf of another
              user.

````